%
% Definition of the refractive index N  
%
% Some useful variables defined in the main program are:
% R is the radius of the cavity
% n0 is the optical index value at the cavity boundary
% 
% Here is an example of a constant optical index
N=@(r) n0*ones(size(r<=R)).*(r<=R)+ones(size(r>R)).*(r>R);
%
% Here is an example the optical index for Maxwell's fish eye graded index 
%N=@(r) 2*n0./(1+(r./R).^2).*(r<=R)+(r>R); % radial variation of the optical index
%
% Here is an example the optical index considered by Ilchenko and col.
% Compensation in whispering-gallery modes, JOSA-A 20~(1) (2003) p. 157-162.
% epsp=4E-3;
% N=@(r) n0*sqrt(1+epsp*(R-r)).*(r<=R)+(r>R);
